# xxfi_envrcpt

SYNOPSIS

    #include <libmilter/mfapi.h>
    sfsistat (*xxfi_envrcpt)(
    	SMFICTX *ctx,
    	char **argv
    );

Handle the envelope RCPT command.

DESCRIPTION

Called When | xxfi_envrcpt is called once per recipient, hence one or more times per message, immediately after xxfi_envfrom.
Default Behavior | Do nothing; return SMFIS_CONTINUE.

ARGUMENTS

Argument | Description
--- | ---
ctx | Opaque context structure.
argv | Null-terminated SMTP command arguments; argv[0] is guaranteed to be the recipient address. Later arguments are the ESMTP arguments.

SPECIAL RETURN VALUES

Return value | Description
--- | ---
SMFIS_TEMPFAIL | Temporarily fail for this particular recipient; further recipients may still be sent. xxfi_abort is not called.
SMFIS_REJECT | Reject this particular recipient; further recipients may still be sent. xxfi_abort is not called.
SMFIS_DISCARD | Accept and discard the message. xxfi_abort will be called.
SMFIS_ACCEPT | Accept this message. xxfi_abort will not be called.

NOTES | For more details on ESMTP responses, please see RFC 1869.

Copyright (c) 2000, 2003, 2010 Proofpoint, Inc. and its suppliers. All rights reserved.
By using this file, you agree to the terms and conditions set forth in the LICENSE.